%define rname ptouch

Summary:	CUPS/foomatic driver for Brother P-touch label printers
Name:		cups-drivers-%{rname}
Version:	1.2
Release:	%mkrel 7
License:	GPL
Group:		System/Printing
URL:		http://www.diku.dk/~panic/P-touch/
Source0:	http://www.diku.dk/~panic/P-touch/%{rname}-driver-%{version}.tar.gz
Patch0:		ptouch-driver-gcc43_fix.diff
Requires:	cups
BuildRequires:	cupsddk
BuildRequires:	cups-devel
BuildRequires:	ghostscript
Conflicts:	cups-drivers = 2007
Conflicts:	printer-utils = 2007
Conflicts:	printer-filters = 2007
Conflicts:	foomatic-db < 1:3.0.2-1.20070820.1mdv2008.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The ptouch-driver consists of a CUPS raster filter for driving the family of
Brother P-touch label printers.

This package contains CUPS foomatic drivers for the following printers:

%prep

%setup -q -n %{rname}-driver-%{version}
%patch0 -p0

%build

%configure2_5x \
    --libdir=%{_prefix}/lib

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/cups/model/%{rname}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(0755,root,root) %{_prefix}/lib/cups/filter/rastertoptch
%attr(0644,root,root) %{_datadir}/foomatic/db/source/printer/*.xml
%attr(0644,root,root) %{_datadir}/foomatic/db/source/driver/*.xml
%attr(0644,root,root) %{_datadir}/foomatic/db/source/opt/*.xml
%attr(0755,root,root) %dir %{_datadir}/cups/model/%{rname}


%changelog
* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-7mdv2009.0
+ Revision: 230683
- added a gcc43 patch (P0)
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2-5mdv2008.1
+ Revision: 149156
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2-4mdv2008.0
+ Revision: 76079
- Added conflicts to foomatic-db < 1:3.0.2-1.20070820.1mdv2008.0

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-3mdv2008.0
+ Revision: 75335
- fix deps (pixel)

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2008.0
+ Revision: 64156
- use the new System/Printing RPM GROUP

* Tue Aug 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2008.0
+ Revision: 63010
- Import cups-drivers-ptouch



* Mon Aug 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2008.0
- initial Mandriva package
